Developers
API ReferenceStream Item

Retrieves the collection of StreamItem resources

GET
/stream/items

Retrieves the collection of StreamItem resources

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
showOnlyFromAssignedTasks?boolean
eventId?string
order[triggeredAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[project.number]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[project.name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
exists[ticketId]?boolean
exists[timesheetApprovalId]?boolean
type?string
type[]?array<string>
project?string
project[]?array<string>
stage?string
stage[]?array<string>
board?string
board[]?array<string>
task?string
task[]?array<string>
ticketId?string
ticketId[]?array<string>
timesheetApprovalId?string
timesheetApprovalId[]?array<string>
triggeredBy?string
triggeredBy[]?array<string>
triggeredAt[before]?string
triggeredAt[strictly_before]?string
triggeredAt[after]?string
triggeredAt[strictly_after]?string

Response Body

curl -X GET "https://example.com/stream/items"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "data": {},    "title": "string",    "message": "string",    "type": "string",    "triggeredAt": "2019-08-24T14:15:22Z",    "triggeredBySource": "user",    "triggeredBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": false,      "phoneNumber": "string",      "jobPositionName": "string"    },    "project": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": "string",      "isSimple": true    },    "stage": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "board": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string"    },    "task": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "number": "string",      "shortCode": "string"    },    "streamUser": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": false,      "phoneNumber": "string",      "jobPositionName": "string"    }  }]